CREATE TABLE CRST_GL_JE_HEADERS
(
  JE_HEADER_ID                  NUMBER(15),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  SET_OF_BOOKS_ID               NUMBER(15),
  JE_CATEGORY                   VARCHAR2(25),
  JE_SOURCE                     VARCHAR2(25),
  PERIOD_NAME                   VARCHAR2(15),
  NAME                          VARCHAR2(100),
  CURRENCY_CODE                 VARCHAR2(15),
  STATUS                        VARCHAR2(1),
  DATE_CREATED                  DATE,
  ACCRUAL_REV_FLAG              VARCHAR2(1),
  MULTI_BAL_SEG_FLAG            VARCHAR2(1),
  ACTUAL_FLAG                   VARCHAR2(1),
  DEFAULT_EFFECTIVE_DATE        DATE,
  TAX_STATUS_CODE               VARCHAR2(1),
  CONVERSION_FLAG               VARCHAR2(1),
  CREATION_DATE                 DATE,
  CREATED_BY                    NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  ENCUMBRANCE_TYPE_ID           NUMBER(15),
  BUDGET_VERSION_ID             NUMBER(15),
  BALANCED_JE_FLAG              VARCHAR2(1),
  BALANCING_SEGMENT_VALUE       VARCHAR2(25),
  JE_BATCH_ID                   NUMBER(15),
  FROM_RECURRING_HEADER_ID      NUMBER(15),
  UNIQUE_DATE                   VARCHAR2(30),
  EARLIEST_POSTABLE_DATE        DATE,
  POSTED_DATE                   DATE,
  ACCRUAL_REV_EFFECTIVE_DATE    DATE,
  ACCRUAL_REV_PERIOD_NAME       VARCHAR2(15),
  ACCRUAL_REV_STATUS            VARCHAR2(1),
  ACCRUAL_REV_JE_HEADER_ID      NUMBER(15),
  ACCRUAL_REV_CHANGE_SIGN_FLAG  VARCHAR2(1),
  DESCRIPTION                   VARCHAR2(240),
  CONTROL_TOTAL                 NUMBER,
  RUNNING_TOTAL_DR              NUMBER,
  RUNNING_TOTAL_CR              NUMBER,
  RUNNING_TOTAL_ACCOUNTED_DR    NUMBER,
  RUNNING_TOTAL_ACCOUNTED_CR    NUMBER,
  CURRENCY_CONVERSION_RATE      NUMBER,
  CURRENCY_CONVERSION_TYPE      VARCHAR2(30),
  CURRENCY_CONVERSION_DATE      DATE,
  EXTERNAL_REFERENCE            VARCHAR2(80),
  PARENT_JE_HEADER_ID           NUMBER(15),
  REVERSED_JE_HEADER_ID         NUMBER(15),
  ORIGINATING_BAL_SEG_VALUE     VARCHAR2(25),
  INTERCOMPANY_MODE             NUMBER(15),
  DR_BAL_SEG_VALUE              VARCHAR2(25),
  CR_BAL_SEG_VALUE              VARCHAR2(25),
  ATTRIBUTE1                    VARCHAR2(150),
  ATTRIBUTE2                    VARCHAR2(150),
  ATTRIBUTE3                    VARCHAR2(150),
  ATTRIBUTE4                    VARCHAR2(150),
  ATTRIBUTE5                    VARCHAR2(150),
  ATTRIBUTE6                    VARCHAR2(150),
  ATTRIBUTE7                    VARCHAR2(150),
  ATTRIBUTE8                    VARCHAR2(150),
  ATTRIBUTE9                    VARCHAR2(150),
  ATTRIBUTE10                   VARCHAR2(150),
  CONTEXT                       VARCHAR2(150),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(30),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150),
  USSGL_TRANSACTION_CODE        VARCHAR2(30),
  CONTEXT2                      VARCHAR2(150),
  DOC_SEQUENCE_ID               NUMBER,
  DOC_SEQUENCE_VALUE            NUMBER,
  JGZZ_RECON_CONTEXT            VARCHAR2(30),
  JGZZ_RECON_REF                VARCHAR2(240),
  REFERENCE_DATE                DATE,
  LOCAL_DOC_SEQUENCE_ID         NUMBER,
  LOCAL_DOC_SEQUENCE_VALUE      NUMBER,
  DUMMY					  	  	CHAR(1),
  LAST_UPDATED_NAME       	  	VARCHAR2(100),
  CREATED_NAME				  	VARCHAR2(100),
  SOB_SHORT_NAME		  	  	VARCHAR2(100),
  ENCUM_TYPE_NAME				VARCHAR2(100),
  DOC_SEQ_NAME					VARCHAR2(100)
);
